sim: assume sys/select.h always exists
[binutils-gdb.git] / sim / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Copyright (C) 1993-2021 Free Software Foundation, Inc.
19 #
20 # This program is free software; you can redistribute it and/or modify
21 # it under the terms of the GNU General Public License as published by
22 # the Free Software Foundation; either version 3 of the License, or
23 # (at your option) any later version.
24 #
25 # This program is distributed in the hope that it will be useful,
26 # but WITHOUT ANY WARRANTY; without even the implied warranty of
27 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
28 # GNU General Public License for more details.
29 #
30 # You should have received a copy of the GNU General Public License
31 # along with this program. If not, see <http://www.gnu.org/licenses/>.
32
33 #
34 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
35 #
36 # This program is free software; you can redistribute it and/or modify
37 # it under the terms of the GNU General Public License as published by
38 # the Free Software Foundation; either version 3 of the License, or
39 # (at your option) any later version.
40 #
41 # This program is distributed in the hope that it will be useful,
42 # but WITHOUT ANY WARRANTY; without even the implied warranty of
43 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
44 # GNU General Public License for more details.
45 #
46 # You should have received a copy of the GNU General Public License
47 # along with this program. If not, see <http://www.gnu.org/licenses/>.
48
49 # Parts of the common/ sim code that have been unified.
50 # Most still lives in common/Make-common.in.
51
52 # The IGEN simulator generator for GDB, the GNU Debugger.
53 #
54 # Copyright 2002-2021 Free Software Foundation, Inc.
55 #
56 # Contributed by Andrew Cagney.
57 #
58 # This file is part of GDB.
59 #
60 # This program is free software; you can redistribute it and/or modify
61 # it under the terms of the GNU General Public License as published by
62 # the Free Software Foundation; either version 3 of the License, or
63 # (at your option) any later version.
64 #
65 # This program is distributed in the hope that it will be useful,
66 # but WITHOUT ANY WARRANTY; without even the implied warranty of
67 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
68 # GNU General Public License for more details.
69 #
70 # You should have received a copy of the GNU General Public License
71 # along with this program. If not, see <http://www.gnu.org/licenses/>.
72
73 #
74 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
75 #
76 # This program is free software; you can redistribute it and/or modify
77 # it under the terms of the GNU General Public License as published by
78 # the Free Software Foundation; either version 3 of the License, or
79 # (at your option) any later version.
80 #
81 # This program is distributed in the hope that it will be useful,
82 # but WITHOUT ANY WARRANTY; without even the implied warranty of
83 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
84 # GNU General Public License for more details.
85 #
86 # You should have received a copy of the GNU General Public License
87 # along with this program. If not, see <http://www.gnu.org/licenses/>.
88
89 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
90 #
91 # This program is free software; you can redistribute it and/or modify
92 # it under the terms of the GNU General Public License as published by
93 # the Free Software Foundation; either version 3 of the License, or
94 # (at your option) any later version.
95 #
96 # This program is distributed in the hope that it will be useful,
97 # but WITHOUT ANY WARRANTY; without even the implied warranty of
98 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
99 # GNU General Public License for more details.
100 #
101 # You should have received a copy of the GNU General Public License
102 # along with this program. If not, see <http://www.gnu.org/licenses/>.
103
104
105 VPATH = @srcdir@
106 am__is_gnu_make = { \
107 if test -z '$(MAKELEVEL)'; then \
108 false; \
109 elif test -n '$(MAKE_HOST)'; then \
110 true; \
111 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
112 true; \
113 else \
114 false; \
115 fi; \
116 }
117 am__make_running_with_option = \
118 case $${target_option-} in \
119 ?) ;; \
120 *) echo "am__make_running_with_option: internal error: invalid" \
121 "target option '$${target_option-}' specified" >&2; \
122 exit 1;; \
123 esac; \
124 has_opt=no; \
125 sane_makeflags=$$MAKEFLAGS; \
126 if $(am__is_gnu_make); then \
127 sane_makeflags=$$MFLAGS; \
128 else \
129 case $$MAKEFLAGS in \
130 *\\[\ \ ]*) \
131 bs=\\; \
132 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
133 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
134 esac; \
135 fi; \
136 skip_next=no; \
137 strip_trailopt () \
138 { \
139 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
140 }; \
141 for flg in $$sane_makeflags; do \
142 test $$skip_next = yes && { skip_next=no; continue; }; \
143 case $$flg in \
144 *=*|--*) continue;; \
145 -*I) strip_trailopt 'I'; skip_next=yes;; \
146 -*I?*) strip_trailopt 'I';; \
147 -*O) strip_trailopt 'O'; skip_next=yes;; \
148 -*O?*) strip_trailopt 'O';; \
149 -*l) strip_trailopt 'l'; skip_next=yes;; \
150 -*l?*) strip_trailopt 'l';; \
151 -[dEDm]) skip_next=yes;; \
152 -[JT]) skip_next=yes;; \
153 esac; \
154 case $$flg in \
155 *$$target_option*) has_opt=yes; break;; \
156 esac; \
157 done; \
158 test $$has_opt = yes
159 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
160 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
161 pkgdatadir = $(datadir)/@PACKAGE@
162 pkgincludedir = $(includedir)/@PACKAGE@
163 pkglibdir = $(libdir)/@PACKAGE@
164 pkglibexecdir = $(libexecdir)/@PACKAGE@
165 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
166 install_sh_DATA = $(install_sh) -c -m 644
167 install_sh_PROGRAM = $(install_sh) -c
168 install_sh_SCRIPT = $(install_sh) -c
169 INSTALL_HEADER = $(INSTALL_DATA)
170 transform = $(program_transform_name)
171 NORMAL_INSTALL = :
172 PRE_INSTALL = :
173 POST_INSTALL = :
174 NORMAL_UNINSTALL = :
175 PRE_UNINSTALL = :
176 POST_UNINSTALL = :
177 build_triplet = @build@
178 host_triplet = @host@
179 target_triplet = @target@
180 check_PROGRAMS = $(am__EXEEXT_3)
181 EXTRA_PROGRAMS = $(am__EXEEXT_2) testsuite/common/bits-gen$(EXEEXT) \
182 testsuite/common/fpu-tst$(EXEEXT)
183
184 # This makes sure igen is available before building the arch-subdirs which
185 # need to run the igen tool.
186 @SIM_ENABLE_IGEN_TRUE@am__append_1 = igen/igen$(EXEEXT)
187 @SIM_ENABLE_IGEN_TRUE@am__append_2 = igen/libigen.a
188 @SIM_ENABLE_IGEN_TRUE@am__append_3 = $(igen_IGEN_TOOLS)
189 @SIM_ENABLE_IGEN_TRUE@am__append_4 = $(igen_IGEN_TOOLS)
190 TESTS = testsuite/common/bits32m0$(EXEEXT) \
191 testsuite/common/bits32m31$(EXEEXT) \
192 testsuite/common/bits64m0$(EXEEXT) \
193 testsuite/common/bits64m63$(EXEEXT) \
194 testsuite/common/alu-tst$(EXEEXT)
195 subdir = .
196 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
197 am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
198 $(top_srcdir)/../config/depstand.m4 \
199 $(top_srcdir)/../config/lead-dot.m4 \
200 $(top_srcdir)/../config/override.m4 \
201 $(top_srcdir)/m4/sim_ac_option_alignment.m4 \
202 $(top_srcdir)/m4/sim_ac_option_assert.m4 \
203 $(top_srcdir)/m4/sim_ac_option_debug.m4 \
204 $(top_srcdir)/m4/sim_ac_option_environment.m4 \
205 $(top_srcdir)/m4/sim_ac_option_profile.m4 \
206 $(top_srcdir)/m4/sim_ac_option_stdio.m4 \
207 $(top_srcdir)/m4/sim_ac_option_trace.m4 \
208 $(top_srcdir)/m4/sim_ac_platform.m4 \
209 $(top_srcdir)/m4/sim_ac_toolchain.m4 \
210 $(top_srcdir)/configure.ac
211 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
212 $(ACLOCAL_M4)
213 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
214 $(am__configure_deps) $(pkginclude_HEADERS)
215 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
216 configure.lineno config.status.lineno
217 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
218 CONFIG_HEADER = config.h
219 CONFIG_CLEAN_FILES =
220 CONFIG_CLEAN_VPATH_FILES =
221 LIBRARIES = $(noinst_LIBRARIES)
222 ARFLAGS = cru
223 AM_V_AR = $(am__v_AR_@AM_V@)
224 am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
225 am__v_AR_0 = @echo " AR " $@;
226 am__v_AR_1 =
227 common_libcommon_a_AR = $(AR) $(ARFLAGS)
228 common_libcommon_a_LIBADD =
229 am__dirstamp = $(am__leading_dot)dirstamp
230 am_common_libcommon_a_OBJECTS = common/version.$(OBJEXT)
231 common_libcommon_a_OBJECTS = $(am_common_libcommon_a_OBJECTS)
232 igen_libigen_a_AR = $(AR) $(ARFLAGS)
233 igen_libigen_a_LIBADD =
234 @SIM_ENABLE_IGEN_TRUE@am_igen_libigen_a_OBJECTS = \
235 @SIM_ENABLE_IGEN_TRUE@ igen/table.$(OBJEXT) igen/lf.$(OBJEXT) \
236 @SIM_ENABLE_IGEN_TRUE@ igen/misc.$(OBJEXT) \
237 @SIM_ENABLE_IGEN_TRUE@ igen/filter_host.$(OBJEXT) \
238 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode.$(OBJEXT) \
239 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache.$(OBJEXT) \
240 @SIM_ENABLE_IGEN_TRUE@ igen/filter.$(OBJEXT) \
241 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn.$(OBJEXT) \
242 @SIM_ENABLE_IGEN_TRUE@ igen/gen-model.$(OBJEXT) \
243 @SIM_ENABLE_IGEN_TRUE@ igen/gen-itable.$(OBJEXT) \
244 @SIM_ENABLE_IGEN_TRUE@ igen/gen-icache.$(OBJEXT) \
245 @SIM_ENABLE_IGEN_TRUE@ igen/gen-semantics.$(OBJEXT) \
246 @SIM_ENABLE_IGEN_TRUE@ igen/gen-idecode.$(OBJEXT) \
247 @SIM_ENABLE_IGEN_TRUE@ igen/gen-support.$(OBJEXT) \
248 @SIM_ENABLE_IGEN_TRUE@ igen/gen-engine.$(OBJEXT) \
249 @SIM_ENABLE_IGEN_TRUE@ igen/gen.$(OBJEXT)
250 igen_libigen_a_OBJECTS = $(am_igen_libigen_a_OBJECTS)
251 @SIM_ENABLE_IGEN_TRUE@am__EXEEXT_1 = igen/igen$(EXEEXT) \
252 @SIM_ENABLE_IGEN_TRUE@ igen/filter$(EXEEXT) igen/gen$(EXEEXT) \
253 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache$(EXEEXT) \
254 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode$(EXEEXT) \
255 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn$(EXEEXT) \
256 @SIM_ENABLE_IGEN_TRUE@ igen/table$(EXEEXT)
257 @SIM_ENABLE_IGEN_TRUE@am__EXEEXT_2 = $(am__EXEEXT_1)
258 am__EXEEXT_3 = testsuite/common/bits32m0$(EXEEXT) \
259 testsuite/common/bits32m31$(EXEEXT) \
260 testsuite/common/bits64m0$(EXEEXT) \
261 testsuite/common/bits64m63$(EXEEXT) \
262 testsuite/common/alu-tst$(EXEEXT)
263 am_igen_filter_OBJECTS =
264 igen_filter_OBJECTS = $(am_igen_filter_OBJECTS)
265 @SIM_ENABLE_IGEN_TRUE@igen_filter_DEPENDENCIES = igen/filter-main.o \
266 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
267 am_igen_gen_OBJECTS =
268 igen_gen_OBJECTS = $(am_igen_gen_OBJECTS)
269 @SIM_ENABLE_IGEN_TRUE@igen_gen_DEPENDENCIES = igen/gen-main.o \
270 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
271 @SIM_ENABLE_IGEN_TRUE@am_igen_igen_OBJECTS = igen/igen.$(OBJEXT)
272 igen_igen_OBJECTS = $(am_igen_igen_OBJECTS)
273 @SIM_ENABLE_IGEN_TRUE@igen_igen_DEPENDENCIES = igen/libigen.a
274 am_igen_ld_cache_OBJECTS =
275 igen_ld_cache_OBJECTS = $(am_igen_ld_cache_OBJECTS)
276 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_DEPENDENCIES = \
277 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache-main.o igen/libigen.a
278 am_igen_ld_decode_OBJECTS =
279 igen_ld_decode_OBJECTS = $(am_igen_ld_decode_OBJECTS)
280 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_DEPENDENCIES = \
281 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode-main.o igen/libigen.a
282 am_igen_ld_insn_OBJECTS =
283 igen_ld_insn_OBJECTS = $(am_igen_ld_insn_OBJECTS)
284 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_DEPENDENCIES = igen/ld-insn-main.o \
285 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
286 am_igen_table_OBJECTS =
287 igen_table_OBJECTS = $(am_igen_table_OBJECTS)
288 @SIM_ENABLE_IGEN_TRUE@igen_table_DEPENDENCIES = igen/table-main.o \
289 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
290 testsuite_common_alu_tst_SOURCES = testsuite/common/alu-tst.c
291 testsuite_common_alu_tst_OBJECTS = testsuite/common/alu-tst.$(OBJEXT)
292 testsuite_common_alu_tst_LDADD = $(LDADD)
293 testsuite_common_bits_gen_SOURCES = testsuite/common/bits-gen.c
294 testsuite_common_bits_gen_OBJECTS = \
295 testsuite/common/bits-gen.$(OBJEXT)
296 testsuite_common_bits_gen_LDADD = $(LDADD)
297 testsuite_common_bits32m0_SOURCES = testsuite/common/bits32m0.c
298 testsuite_common_bits32m0_OBJECTS = \
299 testsuite/common/bits32m0.$(OBJEXT)
300 testsuite_common_bits32m0_LDADD = $(LDADD)
301 testsuite_common_bits32m31_SOURCES = testsuite/common/bits32m31.c
302 testsuite_common_bits32m31_OBJECTS = \
303 testsuite/common/bits32m31.$(OBJEXT)
304 testsuite_common_bits32m31_LDADD = $(LDADD)
305 testsuite_common_bits64m0_SOURCES = testsuite/common/bits64m0.c
306 testsuite_common_bits64m0_OBJECTS = \
307 testsuite/common/bits64m0.$(OBJEXT)
308 testsuite_common_bits64m0_LDADD = $(LDADD)
309 testsuite_common_bits64m63_SOURCES = testsuite/common/bits64m63.c
310 testsuite_common_bits64m63_OBJECTS = \
311 testsuite/common/bits64m63.$(OBJEXT)
312 testsuite_common_bits64m63_LDADD = $(LDADD)
313 testsuite_common_fpu_tst_SOURCES = testsuite/common/fpu-tst.c
314 testsuite_common_fpu_tst_OBJECTS = testsuite/common/fpu-tst.$(OBJEXT)
315 testsuite_common_fpu_tst_LDADD = $(LDADD)
316 AM_V_P = $(am__v_P_@AM_V@)
317 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
318 am__v_P_0 = false
319 am__v_P_1 = :
320 AM_V_GEN = $(am__v_GEN_@AM_V@)
321 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
322 am__v_GEN_0 = @echo " GEN " $@;
323 am__v_GEN_1 =
324 AM_V_at = $(am__v_at_@AM_V@)
325 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
326 am__v_at_0 = @
327 am__v_at_1 =
328 DEFAULT_INCLUDES = -I.@am__isrc@
329 depcomp = $(SHELL) $(top_srcdir)/../depcomp
330 am__depfiles_maybe = depfiles
331 am__mv = mv -f
332 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
333 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
334 AM_V_CC = $(am__v_CC_@AM_V@)
335 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
336 am__v_CC_0 = @echo " CC " $@;
337 am__v_CC_1 =
338 CCLD = $(CC)
339 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
340 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
341 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
342 am__v_CCLD_0 = @echo " CCLD " $@;
343 am__v_CCLD_1 =
344 SOURCES = $(common_libcommon_a_SOURCES) $(igen_libigen_a_SOURCES) \
345 $(igen_filter_SOURCES) $(igen_gen_SOURCES) \
346 $(igen_igen_SOURCES) $(igen_ld_cache_SOURCES) \
347 $(igen_ld_decode_SOURCES) $(igen_ld_insn_SOURCES) \
348 $(igen_table_SOURCES) testsuite/common/alu-tst.c \
349 testsuite/common/bits-gen.c testsuite/common/bits32m0.c \
350 testsuite/common/bits32m31.c testsuite/common/bits64m0.c \
351 testsuite/common/bits64m63.c testsuite/common/fpu-tst.c
352 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
353 ctags-recursive dvi-recursive html-recursive info-recursive \
354 install-data-recursive install-dvi-recursive \
355 install-exec-recursive install-html-recursive \
356 install-info-recursive install-pdf-recursive \
357 install-ps-recursive install-recursive installcheck-recursive \
358 installdirs-recursive pdf-recursive ps-recursive \
359 tags-recursive uninstall-recursive
360 am__can_run_installinfo = \
361 case $$AM_UPDATE_INFO_DIR in \
362 n|no|NO) false;; \
363 *) (install-info --version) >/dev/null 2>&1;; \
364 esac
365 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
366 am__vpath_adj = case $$p in \
367 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
368 *) f=$$p;; \
369 esac;
370 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
371 am__install_max = 40
372 am__nobase_strip_setup = \
373 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
374 am__nobase_strip = \
375 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
376 am__nobase_list = $(am__nobase_strip_setup); \
377 for p in $$list; do echo "$$p $$p"; done | \
378 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
379 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
380 if (++n[$$2] == $(am__install_max)) \
381 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
382 END { for (dir in files) print dir, files[dir] }'
383 am__base_list = \
384 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
385 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
386 am__uninstall_files_from_dir = { \
387 test -z "$$files" \
388 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
389 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
390 $(am__cd) "$$dir" && rm -f $$files; }; \
391 }
392 am__installdirs = "$(DESTDIR)$(pkgincludedir)"
393 HEADERS = $(pkginclude_HEADERS)
394 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
395 distclean-recursive maintainer-clean-recursive
396 am__recursive_targets = \
397 $(RECURSIVE_TARGETS) \
398 $(RECURSIVE_CLEAN_TARGETS) \
399 $(am__extra_recursive_targets)
400 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
401 cscope check recheck
402 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
403 $(LISP)config.h.in
404 # Read a list of newline-separated strings from the standard input,
405 # and print each of them once, without duplicates. Input order is
406 # *not* preserved.
407 am__uniquify_input = $(AWK) '\
408 BEGIN { nonempty = 0; } \
409 { items[$$0] = 1; nonempty = 1; } \
410 END { if (nonempty) { for (i in items) print i; }; } \
411 '
412 # Make sure the list of sources is unique. This is necessary because,
413 # e.g., the same source file might be shared among _SOURCES variables
414 # for different programs/libraries.
415 am__define_uniq_tagged_files = \
416 list='$(am__tagged_files)'; \
417 unique=`for i in $$list; do \
418 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
419 done | $(am__uniquify_input)`
420 ETAGS = etags
421 CTAGS = ctags
422 CSCOPE = cscope
423 DEJATOOL = $(PACKAGE)
424 RUNTESTDEFAULTFLAGS = --tool $$tool --srcdir $$srcdir
425 EXPECT = expect
426 RUNTEST = runtest
427 am__tty_colors_dummy = \
428 mgn= red= grn= lgn= blu= brg= std=; \
429 am__color_tests=no
430 am__tty_colors = { \
431 $(am__tty_colors_dummy); \
432 if test "X$(AM_COLOR_TESTS)" = Xno; then \
433 am__color_tests=no; \
434 elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
435 am__color_tests=yes; \
436 elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
437 am__color_tests=yes; \
438 fi; \
439 if test $$am__color_tests = yes; then \
440 red='\e[0;31m'; \
441 grn='\e[0;32m'; \
442 lgn='\e[1;32m'; \
443 blu='\e[1;34m'; \
444 mgn='\e[0;35m'; \
445 brg='\e[1m'; \
446 std='\e[m'; \
447 fi; \
448 }
449 am__recheck_rx = ^[ ]*:recheck:[ ]*
450 am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
451 am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
452 # A command that, given a newline-separated list of test names on the
453 # standard input, print the name of the tests that are to be re-run
454 # upon "make recheck".
455 am__list_recheck_tests = $(AWK) '{ \
456 recheck = 1; \
457 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
458 { \
459 if (rc < 0) \
460 { \
461 if ((getline line2 < ($$0 ".log")) < 0) \
462 recheck = 0; \
463 break; \
464 } \
465 else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
466 { \
467 recheck = 0; \
468 break; \
469 } \
470 else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
471 { \
472 break; \
473 } \
474 }; \
475 if (recheck) \
476 print $$0; \
477 close ($$0 ".trs"); \
478 close ($$0 ".log"); \
479 }'
480 # A command that, given a newline-separated list of test names on the
481 # standard input, create the global log from their .trs and .log files.
482 am__create_global_log = $(AWK) ' \
483 function fatal(msg) \
484 { \
485 print "fatal: making $@: " msg | "cat >&2"; \
486 exit 1; \
487 } \
488 function rst_section(header) \
489 { \
490 print header; \
491 len = length(header); \
492 for (i = 1; i <= len; i = i + 1) \
493 printf "="; \
494 printf "\n\n"; \
495 } \
496 { \
497 copy_in_global_log = 1; \
498 global_test_result = "RUN"; \
499 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
500 { \
501 if (rc < 0) \
502 fatal("failed to read from " $$0 ".trs"); \
503 if (line ~ /$(am__global_test_result_rx)/) \
504 { \
505 sub("$(am__global_test_result_rx)", "", line); \
506 sub("[ ]*$$", "", line); \
507 global_test_result = line; \
508 } \
509 else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
510 copy_in_global_log = 0; \
511 }; \
512 if (copy_in_global_log) \
513 { \
514 rst_section(global_test_result ": " $$0); \
515 while ((rc = (getline line < ($$0 ".log"))) != 0) \
516 { \
517 if (rc < 0) \
518 fatal("failed to read from " $$0 ".log"); \
519 print line; \
520 }; \
521 printf "\n"; \
522 }; \
523 close ($$0 ".trs"); \
524 close ($$0 ".log"); \
525 }'
526 # Restructured Text title.
527 am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
528 # Solaris 10 'make', and several other traditional 'make' implementations,
529 # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
530 # by disabling -e (using the XSI extension "set +e") if it's set.
531 am__sh_e_setup = case $$- in *e*) set +e;; esac
532 # Default flags passed to test drivers.
533 am__common_driver_flags = \
534 --color-tests "$$am__color_tests" \
535 --enable-hard-errors "$$am__enable_hard_errors" \
536 --expect-failure "$$am__expect_failure"
537 # To be inserted before the command running the test. Creates the
538 # directory for the log if needed. Stores in $dir the directory
539 # containing $f, in $tst the test, in $log the log. Executes the
540 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
541 # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
542 # will run the test scripts (or their associated LOG_COMPILER, if
543 # thy have one).
544 am__check_pre = \
545 $(am__sh_e_setup); \
546 $(am__vpath_adj_setup) $(am__vpath_adj) \
547 $(am__tty_colors); \
548 srcdir=$(srcdir); export srcdir; \
549 case "$@" in \
550 */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
551 *) am__odir=.;; \
552 esac; \
553 test "x$$am__odir" = x"." || test -d "$$am__odir" \
554 || $(MKDIR_P) "$$am__odir" || exit $$?; \
555 if test -f "./$$f"; then dir=./; \
556 elif test -f "$$f"; then dir=; \
557 else dir="$(srcdir)/"; fi; \
558 tst=$$dir$$f; log='$@'; \
559 if test -n '$(DISABLE_HARD_ERRORS)'; then \
560 am__enable_hard_errors=no; \
561 else \
562 am__enable_hard_errors=yes; \
563 fi; \
564 case " $(XFAIL_TESTS) " in \
565 *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
566 am__expect_failure=yes;; \
567 *) \
568 am__expect_failure=no;; \
569 esac; \
570 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
571 # A shell command to get the names of the tests scripts with any registered
572 # extension removed (i.e., equivalently, the names of the test logs, with
573 # the '.log' extension removed). The result is saved in the shell variable
574 # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
575 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
576 # since that might cause problem with VPATH rewrites for suffix-less tests.
577 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
578 am__set_TESTS_bases = \
579 bases='$(TEST_LOGS)'; \
580 bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
581 bases=`echo $$bases`
582 RECHECK_LOGS = $(TEST_LOGS)
583 TEST_SUITE_LOG = test-suite.log
584 TEST_EXTENSIONS = @EXEEXT@ .test
585 LOG_DRIVER = $(SHELL) $(top_srcdir)/../test-driver
586 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
587 am__set_b = \
588 case '$@' in \
589 */*) \
590 case '$*' in \
591 */*) b='$*';; \
592 *) b=`echo '$@' | sed 's/\.log$$//'`; \
593 esac;; \
594 *) \
595 b='$*';; \
596 esac
597 am__test_logs1 = $(TESTS:=.log)
598 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
599 TEST_LOGS = $(am__test_logs2:.test.log=.log)
600 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/../test-driver
601 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
602 $(TEST_LOG_FLAGS)
603 DIST_SUBDIRS = $(SUBDIRS)
604 ACLOCAL = @ACLOCAL@
605 AMTAR = @AMTAR@
606 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
607 AR = @AR@
608 AR_FOR_BUILD = @AR_FOR_BUILD@
609 AUTOCONF = @AUTOCONF@
610 AUTOHEADER = @AUTOHEADER@
611 AUTOMAKE = @AUTOMAKE@
612 AWK = @AWK@
613 CC = @CC@
614 CCDEPMODE = @CCDEPMODE@
615 CC_FOR_BUILD = @CC_FOR_BUILD@
616 CFLAGS = @CFLAGS@
617 CFLAGS_FOR_BUILD = @CFLAGS_FOR_BUILD@
618 CPP = @CPP@
619 CPPFLAGS = @CPPFLAGS@
620 CYGPATH_W = @CYGPATH_W@
621 C_DIALECT = @C_DIALECT@
622 DEFS = @DEFS@
623 DEPDIR = @DEPDIR@
624 ECHO_C = @ECHO_C@
625 ECHO_N = @ECHO_N@
626 ECHO_T = @ECHO_T@
627 EGREP = @EGREP@
628 EXEEXT = @EXEEXT@
629 GREP = @GREP@
630 INSTALL = @INSTALL@
631 INSTALL_DATA = @INSTALL_DATA@
632 INSTALL_PROGRAM = @INSTALL_PROGRAM@
633 INSTALL_SCRIPT = @INSTALL_SCRIPT@
634 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
635 LDFLAGS = @LDFLAGS@
636 LDFLAGS_FOR_BUILD = @LDFLAGS_FOR_BUILD@
637 LIBOBJS = @LIBOBJS@
638 LIBS = @LIBS@
639 LTLIBOBJS = @LTLIBOBJS@
640 MAINT = @MAINT@
641 MAKEINFO = @MAKEINFO@
642 MKDIR_P = @MKDIR_P@
643 OBJEXT = @OBJEXT@
644 PACKAGE = @PACKAGE@
645 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
646 PACKAGE_NAME = @PACKAGE_NAME@
647 PACKAGE_STRING = @PACKAGE_STRING@
648 PACKAGE_TARNAME = @PACKAGE_TARNAME@
649 PACKAGE_URL = @PACKAGE_URL@
650 PACKAGE_VERSION = @PACKAGE_VERSION@
651 PATH_SEPARATOR = @PATH_SEPARATOR@
652 PKGVERSION = @PKGVERSION@
653 RANLIB = @RANLIB@
654 RANLIB_FOR_BUILD = @RANLIB_FOR_BUILD@
655 REPORT_BUGS_TEXI = @REPORT_BUGS_TEXI@
656 REPORT_BUGS_TO = @REPORT_BUGS_TO@
657 SET_MAKE = @SET_MAKE@
658 SHELL = @SHELL@
659 SIM_PRIMARY_TARGET = @SIM_PRIMARY_TARGET@
660 STRIP = @STRIP@
661 VERSION = @VERSION@
662 abs_builddir = @abs_builddir@
663 abs_srcdir = @abs_srcdir@
664 abs_top_builddir = @abs_top_builddir@
665 abs_top_srcdir = @abs_top_srcdir@
666 ac_ct_CC = @ac_ct_CC@
667 am__include = @am__include@
668 am__leading_dot = @am__leading_dot@
669 am__quote = @am__quote@
670 am__tar = @am__tar@
671 am__untar = @am__untar@
672 bindir = @bindir@
673 build = @build@
674 build_alias = @build_alias@
675 build_cpu = @build_cpu@
676 build_os = @build_os@
677 build_vendor = @build_vendor@
678 builddir = @builddir@
679 datadir = @datadir@
680 datarootdir = @datarootdir@
681 docdir = @docdir@
682 dvidir = @dvidir@
683 exec_prefix = @exec_prefix@
684 host = @host@
685 host_alias = @host_alias@
686 host_cpu = @host_cpu@
687 host_os = @host_os@
688 host_vendor = @host_vendor@
689 htmldir = @htmldir@
690 includedir = @includedir@
691 infodir = @infodir@
692 install_sh = @install_sh@
693 libdir = @libdir@
694 libexecdir = @libexecdir@
695 localedir = @localedir@
696 localstatedir = @localstatedir@
697 mandir = @mandir@
698 mkdir_p = @mkdir_p@
699 oldincludedir = @oldincludedir@
700 pdfdir = @pdfdir@
701 prefix = @prefix@
702 program_transform_name = @program_transform_name@
703 psdir = @psdir@
704 sbindir = @sbindir@
705 sharedstatedir = @sharedstatedir@
706 srcdir = @srcdir@
707 subdirs = @subdirs@
708 sysconfdir = @sysconfdir@
709 target = @target@
710 target_alias = @target_alias@
711 target_cpu = @target_cpu@
712 target_os = @target_os@
713 target_vendor = @target_vendor@
714 top_build_prefix = @top_build_prefix@
715 top_builddir = @top_builddir@
716 top_srcdir = @top_srcdir@
717 AUTOMAKE_OPTIONS = dejagnu foreign no-dist subdir-objects
718 ACLOCAL_AMFLAGS = -Im4 -I.. -I../config
719 srcroot = $(srcdir)/..
720 SUBDIRS = @subdirs@
721 AM_MAKEFLAGS = SIM_PRIMARY_TARGET=$(SIM_PRIMARY_TARGET)
722
723 # NB: libcommon.a isn't used directly by ports. We need a target for common
724 # objects to be a part of, and ports use the individual objects directly.
725 noinst_LIBRARIES = common/libcommon.a $(am__append_2)
726 CLEANFILES = testsuite/common/bits-gen testsuite/common/bits32m0.c \
727 testsuite/common/bits32m31.c testsuite/common/bits64m0.c \
728 testsuite/common/bits64m63.c
729 DISTCLEANFILES =
730 MOSTLYCLEANFILES = core $(am__append_4) site-srcdir.exp testrun.log \
731 testrun.sum
732 AM_CPPFLAGS = -I$(srcroot)/include -I$(srcdir)/common
733 COMPILE_FOR_BUILD = $(CC_FOR_BUILD) $(AM_CPPFLAGS) $(CFLAGS_FOR_BUILD)
734 LINK_FOR_BUILD = $(CC_FOR_BUILD) $(CFLAGS_FOR_BUILD) $(LDFLAGS_FOR_BUILD) -o $@
735
736 # Deps to add to the all-recursive target. These are built before descending
737 # into any subdirs.
738
739 # This makes sure common parts are available before building the arch-subdirs
740 # which will refer to these.
741 SIM_ALL_RECURSIVE_DEPS = common/libcommon.a $(am__append_1)
742 pkginclude_HEADERS = \
743 $(srcroot)/include/sim/callback.h \
744 $(srcroot)/include/sim/sim.h
745
746 common_libcommon_a_SOURCES = \
747 common/version.c
748
749 @SIM_ENABLE_IGEN_TRUE@igen_libigen_a_SOURCES = \
750 @SIM_ENABLE_IGEN_TRUE@ igen/table.c \
751 @SIM_ENABLE_IGEN_TRUE@ igen/lf.c \
752 @SIM_ENABLE_IGEN_TRUE@ igen/misc.c \
753 @SIM_ENABLE_IGEN_TRUE@ igen/filter_host.c \
754 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode.c \
755 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache.c \
756 @SIM_ENABLE_IGEN_TRUE@ igen/filter.c \
757 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn.c \
758 @SIM_ENABLE_IGEN_TRUE@ igen/gen-model.c \
759 @SIM_ENABLE_IGEN_TRUE@ igen/gen-itable.c \
760 @SIM_ENABLE_IGEN_TRUE@ igen/gen-icache.c \
761 @SIM_ENABLE_IGEN_TRUE@ igen/gen-semantics.c \
762 @SIM_ENABLE_IGEN_TRUE@ igen/gen-idecode.c \
763 @SIM_ENABLE_IGEN_TRUE@ igen/gen-support.c \
764 @SIM_ENABLE_IGEN_TRUE@ igen/gen-engine.c \
765 @SIM_ENABLE_IGEN_TRUE@ igen/gen.c
766
767 @SIM_ENABLE_IGEN_TRUE@igen_igen_SOURCES = igen/igen.c
768 @SIM_ENABLE_IGEN_TRUE@igen_igen_LDADD = igen/libigen.a
769 @SIM_ENABLE_IGEN_TRUE@igen_filter_SOURCES =
770 @SIM_ENABLE_IGEN_TRUE@igen_filter_LDADD = igen/filter-main.o igen/libigen.a
771 @SIM_ENABLE_IGEN_TRUE@igen_gen_SOURCES =
772 @SIM_ENABLE_IGEN_TRUE@igen_gen_LDADD = igen/gen-main.o igen/libigen.a
773 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_SOURCES =
774 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_LDADD = igen/ld-cache-main.o igen/libigen.a
775 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_SOURCES =
776 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_LDADD = igen/ld-decode-main.o igen/libigen.a
777 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_SOURCES =
778 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_LDADD = igen/ld-insn-main.o igen/libigen.a
779 @SIM_ENABLE_IGEN_TRUE@igen_table_SOURCES =
780 @SIM_ENABLE_IGEN_TRUE@igen_table_LDADD = igen/table-main.o igen/libigen.a
781 @SIM_ENABLE_IGEN_TRUE@igen_IGEN_TOOLS = \
782 @SIM_ENABLE_IGEN_TRUE@ igen/igen \
783 @SIM_ENABLE_IGEN_TRUE@ igen/filter \
784 @SIM_ENABLE_IGEN_TRUE@ igen/gen \
785 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache \
786 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode \
787 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn \
788 @SIM_ENABLE_IGEN_TRUE@ igen/table
789
790
791 # Tweak the site.exp so it works with plain `runtest` from user.
792 EXTRA_DEJAGNU_SITE_CONFIG = site-srcdir.exp
793 testsuite_common_CPPFLAGS = \
794 -I$(srcdir)/common \
795 -I$(srcroot)/include \
796 -I../bfd
797
798 all: config.h
799 $(MAKE) $(AM_MAKEFLAGS) all-recursive
800
801 .SUFFIXES:
802 .SUFFIXES: .c .log .o .obj .test .test$(EXEEXT) .trs
803 am--refresh: Makefile
804 @:
805 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/common/local.mk $(srcdir)/igen/local.mk $(srcdir)/testsuite/local.mk $(srcdir)/testsuite/common/local.mk $(am__configure_deps)
806 @for dep in $?; do \
807 case '$(am__configure_deps)' in \
808 *$$dep*) \
809 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
810 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
811 && exit 0; \
812 exit 1;; \
813 esac; \
814 done; \
815 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
816 $(am__cd) $(top_srcdir) && \
817 $(AUTOMAKE) --foreign Makefile
818 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
819 @case '$?' in \
820 *config.status*) \
821 echo ' $(SHELL) ./config.status'; \
822 $(SHELL) ./config.status;; \
823 *) \
824 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
825 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
826 esac;
827 $(srcdir)/common/local.mk $(srcdir)/igen/local.mk $(srcdir)/testsuite/local.mk $(srcdir)/testsuite/common/local.mk $(am__empty):
828
829 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
830 $(SHELL) ./config.status --recheck
831
832 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
833 $(am__cd) $(srcdir) && $(AUTOCONF)
834 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
835 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
836 $(am__aclocal_m4_deps):
837
838 config.h: stamp-h1
839 @test -f $@ || rm -f stamp-h1
840 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
841
842 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
843 @rm -f stamp-h1
844 cd $(top_builddir) && $(SHELL) ./config.status config.h
845 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
846 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
847 rm -f stamp-h1
848 touch $@
849
850 distclean-hdr:
851 -rm -f config.h stamp-h1
852
853 clean-noinstLIBRARIES:
854 -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
855 common/$(am__dirstamp):
856 @$(MKDIR_P) common
857 @: > common/$(am__dirstamp)
858 common/$(DEPDIR)/$(am__dirstamp):
859 @$(MKDIR_P) common/$(DEPDIR)
860 @: > common/$(DEPDIR)/$(am__dirstamp)
861 common/version.$(OBJEXT): common/$(am__dirstamp) \
862 common/$(DEPDIR)/$(am__dirstamp)
863
864 common/libcommon.a: $(common_libcommon_a_OBJECTS) $(common_libcommon_a_DEPENDENCIES) $(EXTRA_common_libcommon_a_DEPENDENCIES) common/$(am__dirstamp)
865 $(AM_V_at)-rm -f common/libcommon.a
866 $(AM_V_AR)$(common_libcommon_a_AR) common/libcommon.a $(common_libcommon_a_OBJECTS) $(common_libcommon_a_LIBADD)
867 $(AM_V_at)$(RANLIB) common/libcommon.a
868 igen/$(am__dirstamp):
869 @$(MKDIR_P) igen
870 @: > igen/$(am__dirstamp)
871 igen/$(DEPDIR)/$(am__dirstamp):
872 @$(MKDIR_P) igen/$(DEPDIR)
873 @: > igen/$(DEPDIR)/$(am__dirstamp)
874 igen/table.$(OBJEXT): igen/$(am__dirstamp) \
875 igen/$(DEPDIR)/$(am__dirstamp)
876 igen/lf.$(OBJEXT): igen/$(am__dirstamp) igen/$(DEPDIR)/$(am__dirstamp)
877 igen/misc.$(OBJEXT): igen/$(am__dirstamp) \
878 igen/$(DEPDIR)/$(am__dirstamp)
879 igen/filter_host.$(OBJEXT): igen/$(am__dirstamp) \
880 igen/$(DEPDIR)/$(am__dirstamp)
881 igen/ld-decode.$(OBJEXT): igen/$(am__dirstamp) \
882 igen/$(DEPDIR)/$(am__dirstamp)
883 igen/ld-cache.$(OBJEXT): igen/$(am__dirstamp) \
884 igen/$(DEPDIR)/$(am__dirstamp)
885 igen/filter.$(OBJEXT): igen/$(am__dirstamp) \
886 igen/$(DEPDIR)/$(am__dirstamp)
887 igen/ld-insn.$(OBJEXT): igen/$(am__dirstamp) \
888 igen/$(DEPDIR)/$(am__dirstamp)
889 igen/gen-model.$(OBJEXT): igen/$(am__dirstamp) \
890 igen/$(DEPDIR)/$(am__dirstamp)
891 igen/gen-itable.$(OBJEXT): igen/$(am__dirstamp) \
892 igen/$(DEPDIR)/$(am__dirstamp)
893 igen/gen-icache.$(OBJEXT): igen/$(am__dirstamp) \
894 igen/$(DEPDIR)/$(am__dirstamp)
895 igen/gen-semantics.$(OBJEXT): igen/$(am__dirstamp) \
896 igen/$(DEPDIR)/$(am__dirstamp)
897 igen/gen-idecode.$(OBJEXT): igen/$(am__dirstamp) \
898 igen/$(DEPDIR)/$(am__dirstamp)
899 igen/gen-support.$(OBJEXT): igen/$(am__dirstamp) \
900 igen/$(DEPDIR)/$(am__dirstamp)
901 igen/gen-engine.$(OBJEXT): igen/$(am__dirstamp) \
902 igen/$(DEPDIR)/$(am__dirstamp)
903 igen/gen.$(OBJEXT): igen/$(am__dirstamp) \
904 igen/$(DEPDIR)/$(am__dirstamp)
905
906 @SIM_ENABLE_IGEN_FALSE@igen/libigen.a: $(igen_libigen_a_OBJECTS) $(igen_libigen_a_DEPENDENCIES) $(EXTRA_igen_libigen_a_DEPENDENCIES) igen/$(am__dirstamp)
907 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_at)-rm -f igen/libigen.a
908 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_AR)$(igen_libigen_a_AR) igen/libigen.a $(igen_libigen_a_OBJECTS) $(igen_libigen_a_LIBADD)
909 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_at)$(RANLIB) igen/libigen.a
910
911 clean-checkPROGRAMS:
912 -test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
913
914 igen/filter$(EXEEXT): $(igen_filter_OBJECTS) $(igen_filter_DEPENDENCIES) $(EXTRA_igen_filter_DEPENDENCIES) igen/$(am__dirstamp)
915 @rm -f igen/filter$(EXEEXT)
916 $(AM_V_CCLD)$(LINK) $(igen_filter_OBJECTS) $(igen_filter_LDADD) $(LIBS)
917
918 igen/gen$(EXEEXT): $(igen_gen_OBJECTS) $(igen_gen_DEPENDENCIES) $(EXTRA_igen_gen_DEPENDENCIES) igen/$(am__dirstamp)
919 @rm -f igen/gen$(EXEEXT)
920 $(AM_V_CCLD)$(LINK) $(igen_gen_OBJECTS) $(igen_gen_LDADD) $(LIBS)
921 igen/igen.$(OBJEXT): igen/$(am__dirstamp) \
922 igen/$(DEPDIR)/$(am__dirstamp)
923
924 @SIM_ENABLE_IGEN_FALSE@igen/igen$(EXEEXT): $(igen_igen_OBJECTS) $(igen_igen_DEPENDENCIES) $(EXTRA_igen_igen_DEPENDENCIES) igen/$(am__dirstamp)
925 @SIM_ENABLE_IGEN_FALSE@ @rm -f igen/igen$(EXEEXT)
926 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_CCLD)$(LINK) $(igen_igen_OBJECTS) $(igen_igen_LDADD) $(LIBS)
927
928 igen/ld-cache$(EXEEXT): $(igen_ld_cache_OBJECTS) $(igen_ld_cache_DEPENDENCIES) $(EXTRA_igen_ld_cache_DEPENDENCIES) igen/$(am__dirstamp)
929 @rm -f igen/ld-cache$(EXEEXT)
930 $(AM_V_CCLD)$(LINK) $(igen_ld_cache_OBJECTS) $(igen_ld_cache_LDADD) $(LIBS)
931
932 igen/ld-decode$(EXEEXT): $(igen_ld_decode_OBJECTS) $(igen_ld_decode_DEPENDENCIES) $(EXTRA_igen_ld_decode_DEPENDENCIES) igen/$(am__dirstamp)
933 @rm -f igen/ld-decode$(EXEEXT)
934 $(AM_V_CCLD)$(LINK) $(igen_ld_decode_OBJECTS) $(igen_ld_decode_LDADD) $(LIBS)
935
936 igen/ld-insn$(EXEEXT): $(igen_ld_insn_OBJECTS) $(igen_ld_insn_DEPENDENCIES) $(EXTRA_igen_ld_insn_DEPENDENCIES) igen/$(am__dirstamp)
937 @rm -f igen/ld-insn$(EXEEXT)
938 $(AM_V_CCLD)$(LINK) $(igen_ld_insn_OBJECTS) $(igen_ld_insn_LDADD) $(LIBS)
939
940 igen/table$(EXEEXT): $(igen_table_OBJECTS) $(igen_table_DEPENDENCIES) $(EXTRA_igen_table_DEPENDENCIES) igen/$(am__dirstamp)
941 @rm -f igen/table$(EXEEXT)
942 $(AM_V_CCLD)$(LINK) $(igen_table_OBJECTS) $(igen_table_LDADD) $(LIBS)
943 testsuite/common/$(am__dirstamp):
944 @$(MKDIR_P) testsuite/common
945 @: > testsuite/common/$(am__dirstamp)
946 testsuite/common/$(DEPDIR)/$(am__dirstamp):
947 @$(MKDIR_P) testsuite/common/$(DEPDIR)
948 @: > testsuite/common/$(DEPDIR)/$(am__dirstamp)
949 testsuite/common/alu-tst.$(OBJEXT): testsuite/common/$(am__dirstamp) \
950 testsuite/common/$(DEPDIR)/$(am__dirstamp)
951 testsuite/common/bits-gen.$(OBJEXT): testsuite/common/$(am__dirstamp) \
952 testsuite/common/$(DEPDIR)/$(am__dirstamp)
953 testsuite/common/bits32m0.$(OBJEXT): testsuite/common/$(am__dirstamp) \
954 testsuite/common/$(DEPDIR)/$(am__dirstamp)
955 testsuite/common/bits32m31.$(OBJEXT): \
956 testsuite/common/$(am__dirstamp) \
957 testsuite/common/$(DEPDIR)/$(am__dirstamp)
958 testsuite/common/bits64m0.$(OBJEXT): testsuite/common/$(am__dirstamp) \
959 testsuite/common/$(DEPDIR)/$(am__dirstamp)
960 testsuite/common/bits64m63.$(OBJEXT): \
961 testsuite/common/$(am__dirstamp) \
962 testsuite/common/$(DEPDIR)/$(am__dirstamp)
963 testsuite/common/fpu-tst.$(OBJEXT): testsuite/common/$(am__dirstamp) \
964 testsuite/common/$(DEPDIR)/$(am__dirstamp)
965
966 mostlyclean-compile:
967 -rm -f *.$(OBJEXT)
968 -rm -f common/*.$(OBJEXT)
969 -rm -f igen/*.$(OBJEXT)
970 -rm -f testsuite/common/*.$(OBJEXT)
971
972 distclean-compile:
973 -rm -f *.tab.c
974
975 @AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/version.Po@am__quote@
976 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/filter.Po@am__quote@
977 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/filter_host.Po@am__quote@
978 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-engine.Po@am__quote@
979 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-icache.Po@am__quote@
980 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-idecode.Po@am__quote@
981 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-itable.Po@am__quote@
982 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-model.Po@am__quote@
983 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-semantics.Po@am__quote@
984 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-support.Po@am__quote@
985 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen.Po@am__quote@
986 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/igen.Po@am__quote@
987 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-cache.Po@am__quote@
988 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-decode.Po@am__quote@
989 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-insn.Po@am__quote@
990 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/lf.Po@am__quote@
991 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/misc.Po@am__quote@
992 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/table.Po@am__quote@
993 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/alu-tst.Po@am__quote@
994 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits-gen.Po@am__quote@
995 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits32m0.Po@am__quote@
996 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits32m31.Po@am__quote@
997 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits64m0.Po@am__quote@
998 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits64m63.Po@am__quote@
999 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/fpu-tst.Po@am__quote@
1000
1001 .c.o:
1002 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1003 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1004 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
1005 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1006 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1007 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
1008
1009 .c.obj:
1010 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1011 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1012 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
1013 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1014 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1015 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1016 install-pkgincludeHEADERS: $(pkginclude_HEADERS)
1017 @$(NORMAL_INSTALL)
1018 @list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
1019 if test -n "$$list"; then \
1020 echo " $(MKDIR_P) '$(DESTDIR)$(pkgincludedir)'"; \
1021 $(MKDIR_P) "$(DESTDIR)$(pkgincludedir)" || exit 1; \
1022 fi; \
1023 for p in $$list; do \
1024 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1025 echo "$$d$$p"; \
1026 done | $(am__base_list) | \
1027 while read files; do \
1028 echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(pkgincludedir)'"; \
1029 $(INSTALL_HEADER) $$files "$(DESTDIR)$(pkgincludedir)" || exit $$?; \
1030 done
1031
1032 uninstall-pkgincludeHEADERS:
1033 @$(NORMAL_UNINSTALL)
1034 @list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
1035 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1036 dir='$(DESTDIR)$(pkgincludedir)'; $(am__uninstall_files_from_dir)
1037
1038 # This directory's subdirectories are mostly independent; you can cd
1039 # into them and run 'make' without going through this Makefile.
1040 # To change the values of 'make' variables: instead of editing Makefiles,
1041 # (1) if the variable is set in 'config.status', edit 'config.status'
1042 # (which will cause the Makefiles to be regenerated when you run 'make');
1043 # (2) otherwise, pass the desired values on the 'make' command line.
1044 $(am__recursive_targets):
1045 @fail=; \
1046 if $(am__make_keepgoing); then \
1047 failcom='fail=yes'; \
1048 else \
1049 failcom='exit 1'; \
1050 fi; \
1051 dot_seen=no; \
1052 target=`echo $@ | sed s/-recursive//`; \
1053 case "$@" in \
1054 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
1055 *) list='$(SUBDIRS)' ;; \
1056 esac; \
1057 for subdir in $$list; do \
1058 echo "Making $$target in $$subdir"; \
1059 if test "$$subdir" = "."; then \
1060 dot_seen=yes; \
1061 local_target="$$target-am"; \
1062 else \
1063 local_target="$$target"; \
1064 fi; \
1065 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
1066 || eval $$failcom; \
1067 done; \
1068 if test "$$dot_seen" = "no"; then \
1069 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
1070 fi; test -z "$$fail"
1071
1072 ID: $(am__tagged_files)
1073 $(am__define_uniq_tagged_files); mkid -fID $$unique
1074 tags: tags-recursive
1075 TAGS: tags
1076
1077 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1078 set x; \
1079 here=`pwd`; \
1080 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
1081 include_option=--etags-include; \
1082 empty_fix=.; \
1083 else \
1084 include_option=--include; \
1085 empty_fix=; \
1086 fi; \
1087 list='$(SUBDIRS)'; for subdir in $$list; do \
1088 if test "$$subdir" = .; then :; else \
1089 test ! -f $$subdir/TAGS || \
1090 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
1091 fi; \
1092 done; \
1093 $(am__define_uniq_tagged_files); \
1094 shift; \
1095 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1096 test -n "$$unique" || unique=$$empty_fix; \
1097 if test $$# -gt 0; then \
1098 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1099 "$$@" $$unique; \
1100 else \
1101 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1102 $$unique; \
1103 fi; \
1104 fi
1105 ctags: ctags-recursive
1106
1107 CTAGS: ctags
1108 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1109 $(am__define_uniq_tagged_files); \
1110 test -z "$(CTAGS_ARGS)$$unique" \
1111 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1112 $$unique
1113
1114 GTAGS:
1115 here=`$(am__cd) $(top_builddir) && pwd` \
1116 && $(am__cd) $(top_srcdir) \
1117 && gtags -i $(GTAGS_ARGS) "$$here"
1118 cscope: cscope.files
1119 test ! -s cscope.files \
1120 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
1121 clean-cscope:
1122 -rm -f cscope.files
1123 cscope.files: clean-cscope cscopelist
1124 cscopelist: cscopelist-recursive
1125
1126 cscopelist-am: $(am__tagged_files)
1127 list='$(am__tagged_files)'; \
1128 case "$(srcdir)" in \
1129 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1130 *) sdir=$(subdir)/$(srcdir) ;; \
1131 esac; \
1132 for i in $$list; do \
1133 if test -f "$$i"; then \
1134 echo "$(subdir)/$$i"; \
1135 else \
1136 echo "$$sdir/$$i"; \
1137 fi; \
1138 done >> $(top_builddir)/cscope.files
1139
1140 distclean-tags:
1141 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1142 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
1143 site.exp: Makefile $(EXTRA_DEJAGNU_SITE_CONFIG)
1144 @echo 'Making a new site.exp file ...'
1145 @echo '## these variables are automatically generated by make ##' >site.tmp
1146 @echo '# Do not edit here. If you wish to override these values' >>site.tmp
1147 @echo '# edit the last section' >>site.tmp
1148 @echo 'set srcdir "$(srcdir)"' >>site.tmp
1149 @echo "set objdir `pwd`" >>site.tmp
1150 @echo 'set build_alias "$(build_alias)"' >>site.tmp
1151 @echo 'set build_triplet $(build_triplet)' >>site.tmp
1152 @echo 'set host_alias "$(host_alias)"' >>site.tmp
1153 @echo 'set host_triplet $(host_triplet)' >>site.tmp
1154 @echo 'set target_alias "$(target_alias)"' >>site.tmp
1155 @echo 'set target_triplet $(target_triplet)' >>site.tmp
1156 @list='$(EXTRA_DEJAGNU_SITE_CONFIG)'; for f in $$list; do \
1157 echo "## Begin content included from file $$f. Do not modify. ##" \
1158 && cat `test -f "$$f" || echo '$(srcdir)/'`$$f \
1159 && echo "## End content included from file $$f. ##" \
1160 || exit 1; \
1161 done >> site.tmp
1162 @echo "## End of auto-generated content; you can edit from here. ##" >> site.tmp
1163 @if test -f site.exp; then \
1164 sed -e '1,/^## End of auto-generated content.*##/d' site.exp >> site.tmp; \
1165 fi
1166 @-rm -f site.bak
1167 @test ! -f site.exp || mv site.exp site.bak
1168 @mv site.tmp site.exp
1169
1170 distclean-DEJAGNU:
1171 -rm -f site.exp site.bak
1172 -l='$(DEJATOOL)'; for tool in $$l; do \
1173 rm -f $$tool.sum $$tool.log; \
1174 done
1175
1176 # Recover from deleted '.trs' file; this should ensure that
1177 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1178 # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
1179 # to avoid problems with "make -n".
1180 .log.trs:
1181 rm -f $< $@
1182 $(MAKE) $(AM_MAKEFLAGS) $<
1183
1184 # Leading 'am--fnord' is there to ensure the list of targets does not
1185 # expand to empty, as could happen e.g. with make check TESTS=''.
1186 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1187 am--force-recheck:
1188 @:
1189
1190 $(TEST_SUITE_LOG): $(TEST_LOGS)
1191 @$(am__set_TESTS_bases); \
1192 am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1193 redo_bases=`for i in $$bases; do \
1194 am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1195 done`; \
1196 if test -n "$$redo_bases"; then \
1197 redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1198 redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1199 if $(am__make_dryrun); then :; else \
1200 rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1201 fi; \
1202 fi; \
1203 if test -n "$$am__remaking_logs"; then \
1204 echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1205 "recursion detected" >&2; \
1206 elif test -n "$$redo_logs"; then \
1207 am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1208 fi; \
1209 if $(am__make_dryrun); then :; else \
1210 st=0; \
1211 errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1212 for i in $$redo_bases; do \
1213 test -f $$i.trs && test -r $$i.trs \
1214 || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1215 test -f $$i.log && test -r $$i.log \
1216 || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1217 done; \
1218 test $$st -eq 0 || exit 1; \
1219 fi
1220 @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1221 ws='[ ]'; \
1222 results=`for b in $$bases; do echo $$b.trs; done`; \
1223 test -n "$$results" || results=/dev/null; \
1224 all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
1225 pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
1226 fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
1227 skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
1228 xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1229 xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1230 error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1231 if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1232 success=true; \
1233 else \
1234 success=false; \
1235 fi; \
1236 br='==================='; br=$$br$$br$$br$$br; \
1237 result_count () \
1238 { \
1239 if test x"$$1" = x"--maybe-color"; then \
1240 maybe_colorize=yes; \
1241 elif test x"$$1" = x"--no-color"; then \
1242 maybe_colorize=no; \
1243 else \
1244 echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1245 fi; \
1246 shift; \
1247 desc=$$1 count=$$2; \
1248 if test $$maybe_colorize = yes && test $$count -gt 0; then \
1249 color_start=$$3 color_end=$$std; \
1250 else \
1251 color_start= color_end=; \
1252 fi; \
1253 echo "$${color_start}# $$desc $$count$${color_end}"; \
1254 }; \
1255 create_testsuite_report () \
1256 { \
1257 result_count $$1 "TOTAL:" $$all "$$brg"; \
1258 result_count $$1 "PASS: " $$pass "$$grn"; \
1259 result_count $$1 "SKIP: " $$skip "$$blu"; \
1260 result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1261 result_count $$1 "FAIL: " $$fail "$$red"; \
1262 result_count $$1 "XPASS:" $$xpass "$$red"; \
1263 result_count $$1 "ERROR:" $$error "$$mgn"; \
1264 }; \
1265 { \
1266 echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
1267 $(am__rst_title); \
1268 create_testsuite_report --no-color; \
1269 echo; \
1270 echo ".. contents:: :depth: 2"; \
1271 echo; \
1272 for b in $$bases; do echo $$b; done \
1273 | $(am__create_global_log); \
1274 } >$(TEST_SUITE_LOG).tmp || exit 1; \
1275 mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
1276 if $$success; then \
1277 col="$$grn"; \
1278 else \
1279 col="$$red"; \
1280 test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
1281 fi; \
1282 echo "$${col}$$br$${std}"; \
1283 echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \
1284 echo "$${col}$$br$${std}"; \
1285 create_testsuite_report --maybe-color; \
1286 echo "$$col$$br$$std"; \
1287 if $$success; then :; else \
1288 echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
1289 if test -n "$(PACKAGE_BUGREPORT)"; then \
1290 echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1291 fi; \
1292 echo "$$col$$br$$std"; \
1293 fi; \
1294 $$success || exit 1
1295
1296 check-TESTS:
1297 @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
1298 @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1299 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1300 @set +e; $(am__set_TESTS_bases); \
1301 log_list=`for i in $$bases; do echo $$i.log; done`; \
1302 trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1303 log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1304 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1305 exit $$?;
1306 recheck: all $(check_PROGRAMS)
1307 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1308 @set +e; $(am__set_TESTS_bases); \
1309 bases=`for i in $$bases; do echo $$i; done \
1310 | $(am__list_recheck_tests)` || exit 1; \
1311 log_list=`for i in $$bases; do echo $$i.log; done`; \
1312 log_list=`echo $$log_list`; \
1313 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1314 am__force_recheck=am--force-recheck \
1315 TEST_LOGS="$$log_list"; \
1316 exit $$?
1317 testsuite/common/bits32m0.log: testsuite/common/bits32m0$(EXEEXT)
1318 @p='testsuite/common/bits32m0$(EXEEXT)'; \
1319 b='testsuite/common/bits32m0'; \
1320 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1321 --log-file $$b.log --trs-file $$b.trs \
1322 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1323 "$$tst" $(AM_TESTS_FD_REDIRECT)
1324 testsuite/common/bits32m31.log: testsuite/common/bits32m31$(EXEEXT)
1325 @p='testsuite/common/bits32m31$(EXEEXT)'; \
1326 b='testsuite/common/bits32m31'; \
1327 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1328 --log-file $$b.log --trs-file $$b.trs \
1329 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1330 "$$tst" $(AM_TESTS_FD_REDIRECT)
1331 testsuite/common/bits64m0.log: testsuite/common/bits64m0$(EXEEXT)
1332 @p='testsuite/common/bits64m0$(EXEEXT)'; \
1333 b='testsuite/common/bits64m0'; \
1334 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1335 --log-file $$b.log --trs-file $$b.trs \
1336 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1337 "$$tst" $(AM_TESTS_FD_REDIRECT)
1338 testsuite/common/bits64m63.log: testsuite/common/bits64m63$(EXEEXT)
1339 @p='testsuite/common/bits64m63$(EXEEXT)'; \
1340 b='testsuite/common/bits64m63'; \
1341 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1342 --log-file $$b.log --trs-file $$b.trs \
1343 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1344 "$$tst" $(AM_TESTS_FD_REDIRECT)
1345 testsuite/common/alu-tst.log: testsuite/common/alu-tst$(EXEEXT)
1346 @p='testsuite/common/alu-tst$(EXEEXT)'; \
1347 b='testsuite/common/alu-tst'; \
1348 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1349 --log-file $$b.log --trs-file $$b.trs \
1350 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1351 "$$tst" $(AM_TESTS_FD_REDIRECT)
1352 .test.log:
1353 @p='$<'; \
1354 $(am__set_b); \
1355 $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1356 --log-file $$b.log --trs-file $$b.trs \
1357 $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1358 "$$tst" $(AM_TESTS_FD_REDIRECT)
1359 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
1360 @am__EXEEXT_TRUE@ @p='$<'; \
1361 @am__EXEEXT_TRUE@ $(am__set_b); \
1362 @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1363 @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
1364 @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1365 @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
1366 check-am: all-am
1367 $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1368 $(MAKE) $(AM_MAKEFLAGS) check-DEJAGNU check-TESTS
1369 check: check-recursive
1370 all-am: Makefile $(LIBRARIES) $(HEADERS) config.h
1371 installdirs: installdirs-recursive
1372 installdirs-am:
1373 for dir in "$(DESTDIR)$(pkgincludedir)"; do \
1374 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1375 done
1376 install: install-recursive
1377 install-exec: install-exec-recursive
1378 install-data: install-data-recursive
1379 uninstall: uninstall-recursive
1380
1381 install-am: all-am
1382 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1383
1384 installcheck: installcheck-recursive
1385 install-strip:
1386 if test -z '$(STRIP)'; then \
1387 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1388 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1389 install; \
1390 else \
1391 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1392 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1393 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1394 fi
1395 mostlyclean-generic:
1396 -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
1397 -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1398 -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1399 -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1400
1401 clean-generic:
1402 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1403
1404 distclean-generic:
1405 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1406 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1407 -rm -f common/$(DEPDIR)/$(am__dirstamp)
1408 -rm -f common/$(am__dirstamp)
1409 -rm -f igen/$(DEPDIR)/$(am__dirstamp)
1410 -rm -f igen/$(am__dirstamp)
1411 -rm -f testsuite/common/$(DEPDIR)/$(am__dirstamp)
1412 -rm -f testsuite/common/$(am__dirstamp)
1413 -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1414
1415 maintainer-clean-generic:
1416 @echo "This command is intended for maintainers to use"
1417 @echo "it deletes files that may require special tools to rebuild."
1418 clean: clean-recursive
1419
1420 clean-am: clean-checkPROGRAMS clean-generic clean-noinstLIBRARIES \
1421 mostlyclean-am
1422
1423 distclean: distclean-recursive
1424 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1425 -rm -rf common/$(DEPDIR) igen/$(DEPDIR) testsuite/common/$(DEPDIR)
1426 -rm -f Makefile
1427 distclean-am: clean-am distclean-DEJAGNU distclean-compile \
1428 distclean-generic distclean-hdr distclean-tags
1429
1430 dvi: dvi-recursive
1431
1432 dvi-am:
1433
1434 html: html-recursive
1435
1436 html-am:
1437
1438 info: info-recursive
1439
1440 info-am:
1441
1442 install-data-am: install-pkgincludeHEADERS
1443
1444 install-dvi: install-dvi-recursive
1445
1446 install-dvi-am:
1447
1448 install-exec-am:
1449
1450 install-html: install-html-recursive
1451
1452 install-html-am:
1453
1454 install-info: install-info-recursive
1455
1456 install-info-am:
1457
1458 install-man:
1459
1460 install-pdf: install-pdf-recursive
1461
1462 install-pdf-am:
1463
1464 install-ps: install-ps-recursive
1465
1466 install-ps-am:
1467
1468 installcheck-am:
1469
1470 maintainer-clean: maintainer-clean-recursive
1471 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1472 -rm -rf $(top_srcdir)/autom4te.cache
1473 -rm -rf common/$(DEPDIR) igen/$(DEPDIR) testsuite/common/$(DEPDIR)
1474 -rm -f Makefile
1475 maintainer-clean-am: distclean-am maintainer-clean-generic
1476
1477 mostlyclean: mostlyclean-recursive
1478
1479 mostlyclean-am: mostlyclean-compile mostlyclean-generic
1480
1481 pdf: pdf-recursive
1482
1483 pdf-am:
1484
1485 ps: ps-recursive
1486
1487 ps-am:
1488
1489 uninstall-am: uninstall-pkgincludeHEADERS
1490
1491 .MAKE: $(am__recursive_targets) all check-am install-am install-strip
1492
1493 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
1494 am--refresh check check-DEJAGNU check-TESTS check-am clean \
1495 clean-checkPROGRAMS clean-cscope clean-generic \
1496 clean-noinstLIBRARIES cscope cscopelist-am ctags ctags-am \
1497 distclean distclean-DEJAGNU distclean-compile \
1498 distclean-generic distclean-hdr distclean-tags dvi dvi-am html \
1499 html-am info info-am install install-am install-data \
1500 install-data-am install-dvi install-dvi-am install-exec \
1501 install-exec-am install-html install-html-am install-info \
1502 install-info-am install-man install-pdf install-pdf-am \
1503 install-pkgincludeHEADERS install-ps install-ps-am \
1504 install-strip installcheck installcheck-am installdirs \
1505 installdirs-am maintainer-clean maintainer-clean-generic \
1506 mostlyclean mostlyclean-compile mostlyclean-generic pdf pdf-am \
1507 ps ps-am recheck tags tags-am uninstall uninstall-am \
1508 uninstall-pkgincludeHEADERS
1509
1510 .PRECIOUS: Makefile
1511
1512
1513 # Generate nltvals.def for newlib/libgloss using devo and build tree.
1514 # This file is shipped with distributions so we build in the source dir.
1515 # Use `make nltvals' to rebuild.
1516 # Note: If gdb releases begin to contain target header files (not a good idea,
1517 # but if they did ...), nltvals.def coud be generated at build time.
1518 # An alternative is to slurp in the tables at runtime.
1519 .PHONY: nltvals
1520 nltvals:
1521 $(abs_srcdir)/common/gennltvals.py --cpp "$(CPP)" --output nltvals.def --srcroot $(srcroot)
1522 $(SHELL) $(srcroot)/move-if-change nltvals.def $(abs_srcdir)/common/nltvals.def
1523
1524 common/version.c: $(srcroot)/gdb/version.in $(srcroot)/bfd/version.h $(srcdir)/common/create-version.sh
1525 $(SHELL) $(srcdir)/common/create-version.sh $(srcroot)/gdb $@.tmp
1526 $(SHELL) $(srcroot)/move-if-change $@.tmp $@
1527 touch $@
1528
1529 # Alias for developers.
1530 @SIM_ENABLE_IGEN_TRUE@igen: igen/igen$(EXEEXT)
1531
1532 # These rules are copied from automake, but tweaked to use FOR_BUILD variables.
1533 @SIM_ENABLE_IGEN_TRUE@igen/libigen.a: $(igen_libigen_a_OBJECTS) $(igen_libigen_a_DEPENDENCIES) $(EXTRA_igen_libigen_a_DEPENDENCIES) igen/$(am__dirstamp)
1534 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_at)-rm -f $@
1535 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_AR)$(AR_FOR_BUILD) $(ARFLAGS) $@ $(igen_libigen_a_OBJECTS) $(igen_libigen_a_LIBADD)
1536 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_at)$(RANLIB_FOR_BUILD) $@
1537
1538 @SIM_ENABLE_IGEN_TRUE@igen/igen$(EXEEXT): $(igen_igen_OBJECTS) $(igen_igen_DEPENDENCIES) igen/$(am__dirstamp)
1539 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CCLD)$(LINK_FOR_BUILD) $(igen_igen_OBJECTS) $(igen_igen_LDADD)
1540
1541 # igen is a build-time only tool. Override the default rules for it.
1542 @SIM_ENABLE_IGEN_TRUE@igen/%.o: igen/%.c
1543 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CC)$(COMPILE_FOR_BUILD) -c $< -o $@
1544
1545 # Build some of the files in standalone mode for developers of igen itself.
1546 @SIM_ENABLE_IGEN_TRUE@igen/%-main.o: igen/%.c
1547 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CC)$(COMPILE_FOR_BUILD) -DMAIN -c $< -o $@
1548
1549 site-srcdir.exp: Makefile
1550 echo "set srcdir \"$(srcdir)/testsuite\"" > $@
1551
1552 check-DEJAGNU: site.exp
1553 LC_ALL=C; export LC_ALL; \
1554 EXPECT=${EXPECT} ; export EXPECT ; \
1555 runtest=$(RUNTEST); \
1556 if $(SHELL) -c "$$runtest --version" > /dev/null 2>&1; then \
1557 $$runtest $(RUNTESTFLAGS); \
1558 else echo "WARNING: could not find \`runtest'" 1>&2; :;\
1559 fi
1560
1561 # These tests are build-time only tools. Override the default rules for them.
1562 testsuite/common/%.o: testsuite/common/%.c
1563 $(AM_V_CC)$(COMPILE_FOR_BUILD) $(testsuite_common_CPPFLAGS) -c $< -o $@
1564
1565 testsuite/common/alu-tst$(EXEEXT): $(testsuite_common_alu_tst_OBJECTS) $(testsuite_common_alu_tst_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1566 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_alu_tst_OBJECTS) $(testsuite_common_alu_tst_LDADD)
1567
1568 testsuite/common/fpu-tst$(EXEEXT): $(testsuite_common_fpu_tst_OBJECTS) $(testsuite_common_fpu_tst_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1569 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_fpu_tst_OBJECTS) $(testsuite_common_fpu_tst_LDADD)
1570
1571 testsuite/common/bits-gen$(EXEEXT): $(testsuite_common_bits_gen_OBJECTS) $(testsuite_common_bits_gen_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1572 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits_gen_OBJECTS) $(testsuite_common_bits_gen_LDADD)
1573
1574 testsuite/common/bits32m0$(EXEEXT): $(testsuite_common_bits32m0_OBJECTS) $(testsuite_common_bits32m0_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1575 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits32m0_OBJECTS) $(testsuite_common_bits32m0_LDADD)
1576
1577 testsuite/common/bits32m0.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1578 $< 32 0 big > $@.tmp
1579 cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1580 mv $@.tmp $@
1581
1582 testsuite/common/bits32m31$(EXEEXT): $(testsuite_common_bits32m31_OBJECTS) $(testsuite_common_bits32m31_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1583 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits32m31_OBJECTS) $(testsuite_common_bits32m31_LDADD)
1584
1585 testsuite/common/bits32m31.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1586 $< 32 31 little > $@.tmp
1587 cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1588 mv $@.tmp $@
1589
1590 testsuite/common/bits64m0$(EXEEXT): $(testsuite_common_bits64m0_OBJECTS) $(testsuite_common_bits64m0_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1591 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits64m0_OBJECTS) $(testsuite_common_bits64m0_LDADD)
1592
1593 testsuite/common/bits64m0.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1594 $< 64 0 big > $@.tmp
1595 cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1596 mv $@.tmp $@
1597
1598 testsuite/common/bits64m63$(EXEEXT): $(testsuite_common_bits64m63_OBJECTS) $(testsuite_common_bits64m63_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1599 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits64m63_OBJECTS) $(testsuite_common_bits64m63_LDADD)
1600
1601 testsuite/common/bits64m63.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1602 $< 64 63 little > $@.tmp
1603 cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1604 mv $@.tmp $@
1605
1606 all-recursive: $(SIM_ALL_RECURSIVE_DEPS)
1607
1608 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1609 # Otherwise a system limit (for SysV at least) may be exceeded.
1610 .NOEXPORT: